package lab6;

public class Example2 {

    private static int counter = 0; // закрытое статическое целочисленное поле

    // статический метод
    public static void showAndIncrement() {
        System.out.println("Current value: " + counter);
        counter++;
    }

    // для проверки
    public static void main(String[] args) {

        Example2.showAndIncrement();
        Example2.showAndIncrement();
        Example2.showAndIncrement();
    }
}
